Changing colour in a command line script
@Simon_R wrote: Sorry if this is obvious, I'm very new to Rhino. I've created a command line file that is read through the Tools/Commands/Read from File menus. The file plots points as spheres (with...
View ArticleWhat's the problem? about Rhino Python syntax
@Yuji_Kaneko wrote: It run before but after I changed dll file to call, suddenly this error came out...but there is no 'as'. I made sure that python script is correct cuz normal Python runs correctly...
View ArticleHow to search all Rhino .3dm files in a directory for specific text?
@saucerdesigner wrote: I know I've made a note in a drawing having the phrase "ball bearing" but I'm exasperated looking through all the files one-by-one and am wondering if there's a better way than...
View ArticleHy programming language
@Andrew_Nowicki wrote: Hy (alternately, Hylang) is a dialect of the Lisp programming language designed to incorporate with Python by translating expressions into Python's abstract syntax tree (AST)....
View ArticleCannot get BooleanDifference to work
@maxz wrote: I would appreciate if somebody can take a look at my script and tell me why BooleanDifference is not working .My script:#Cut slots from tabs, Max Zuijdendorp, November 2016 import...
View ArticlePython question and different results Win vs Mac
@rhinorudi wrote: I have a basic script that draws a poly line through points, then revolves to make a closed poly surface. Question 1: Is there a more efficient way to do the points, like a list for...
View ArticlePython GetPointCoordinates anomaly
@rhinorudi wrote: I am running a small script to get point coordinates to add to another script. import rhinoscriptsyntax as rs points = rs.GetPointCoordinates(message="Select Points",...
View ArticleYOJU released free versions of their software
@Naahit_Borujva wrote: YOJU has released free versions of their 6 pieces software to help architects: 1.Parametric Control Based Architectural Lighting Calculator...
View ArticlePart List or Part List from Layers
@Wagner wrote: Hi!Is there any way to get part list from rhino5?Possible to get part list from Layers? Now I have to double click layer, copy, go to excel or word, paste there and then back to...
View ArticleLen() error joining curve & polyline python
@rhinorudi wrote: I am doing a test to join a curve and polyline in python. I would also like to know how I can get those 2 components into a list for a dictionary. First the error … the simple code;...
View ArticleRS Wish : Enable/Disable clipping plane
@Jarek wrote: Hi @Dale, We have one more for the heap for the clipping plane handling in RhinoScript: ClippingPlaneState([strView],strClipPlane,[blnEnable])where: strView - optional, name of the view,...
View ArticleScripting the adaptation of a curved surface to best-fit an irregular 3D mesh
@Andy3 wrote: Hi, I would like to script the following in Rhino: I would like to import an irregular 3D mesh (obtained from a scan) then script the adaptation of an existing curved surface to best-fit...
View ArticleUnderstanding PerformSweep vs CreateFromSweep and arrays
@rhinorudi wrote: I am trying to do a sweep 2 rails with python, and understand it This is what I got so far cobbling together bits from various searches here and the RhinoCommon SDK docs. Code:...
View ArticlePython Make 2d drawing
@Maxim wrote: How can I use make 2d drawing with python script. There is no information in API. Posts: 2 Participants: 2 Read full topic
View ArticleExtrude multiple Curves at the same time
@Vahab wrote: Hello All,As you know the following code implements one curve to extrude: Dim strobject,strPathstrobject = rhino.GetObject("select a curve to extrude")strPath = Rhino.AddLine(Array(0, 0,...
View ArticleGetDocumentUserText Help
@kleerkoat wrote: trying to hack together some other scripts into a nice editable view of DocumentUserText to attach to attach to text in a layout drawing. the following returns the list but it...
View ArticleBoolean Split in Python?
@Robert_Miller wrote: Hey everyone. This is my first attempt at writing a full script from beginning to end, and I've run into a problem. I noticed there isn't a Boolean Split function in Rhino...
View ArticleGetPointOnMesh workes just from one side
@tobias wrote: Hello everyone,I encountered an unexpected limitation of the Rhinoscript GetPointOnMesh method. It seems to work just from one side of the mesh. Flipping the direction doesn't make any...
View ArticleBoolean Difference in Rhino Script
@Vahab wrote: Hello,Can anybody please let me know why the following Boolean Difference is not working? It still requires 2 arrInputs as Rhino Objects, but I cant figure out why my objects (cp &...
View ArticleHow to Bridge between various Functions in Rhino Script?
@Vahab wrote: Hello,My question regarding Rhino Script is ...What if we would define several "Sub"s in order to use their outputs in a new function?Here is the Example:Thanks Call c() Sub a() Dim...
View Article